SystemOrganization addCategory: #'A4BP-BPEL20-core'!
SystemOrganization addCategory: 'A4BP-BPEL20-core-model'!
SystemOrganization addCategory: 'A4BP-BPEL20-core-parser'!
SystemOrganization addCategory: 'A4BP-BPEL20-core-parser-builder'!

Object subclass: #BPEL20ParserTagsXMLRef
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser'!

BPEL20ParserTagsXMLRef class
	instanceVariableNames: 'tags'!

BPEL20ParserTagsXMLRef class
	instanceVariableNames: 'tags'!

BPEL20ParserTagsXMLRef subclass: #BPEL20ParserBPELTagsXMLRef
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser'!

!BPEL20ParserBPELTagsXMLRef class methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
fillTags
	tags addAll: self lstOfBpelRefTagClass.
	tags addAll: self lstOfBpelRefTagActivitiesClass.
	^ tags! !

!BPEL20ParserBPELTagsXMLRef class methodsFor: 'questions' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
isTagImport: aName
 ^ aName = 'import' or: aName = 'bpel:import'.! !

!BPEL20ParserBPELTagsXMLRef class methodsFor: 'questions' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
isTagPartnerLinks: aName
 ^ aName = 'partnerLinks' or: aName = 'bpel:partnerLinks'.! !

!BPEL20ParserBPELTagsXMLRef class methodsFor: 'questions' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
isTagSequence: aName
 ^ aName = 'sequence' or: aName = 'bpel:sequence'.! !

!BPEL20ParserBPELTagsXMLRef class methodsFor: 'questions' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
isTagVariables: aName
 ^ aName = 'variables' or: aName = 'bpel:variables'.! !

!BPEL20ParserBPELTagsXMLRef class methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
lstOfBpelRefTagActivitiesClass
	|tagsActivities|
	
	tagsActivities:= Dictionary new.
	
	"lst of tag for activities"
	tagsActivities add: (BPParserRefTagClass getRefOnTag: 'invoke' objClass: BPInvoke).
	tagsActivities add: (BPParserRefTagClass getRefOnTag: 'reply' objClass: BPReply).
	tagsActivities add: (BPParserRefTagClass getRefOnTag: 'receive' objClass: BPReceive).
	tagsActivities add: (BPParserRefTagClass getRefOnTag: 'pick' objClass: BPPick).
	tagsActivities add: (BPParserRefTagClass getRefOnTag: 'assign' objClass: BPAssign).
	tagsActivities add: (BPParserRefTagClass getRefOnTag: 'validate' objClass: BPValidate).
	tagsActivities add: (BPParserRefTagClass getRefOnTag: 'empty' objClass: BPEmpty).
	tagsActivities add: (BPParserRefTagClass getRefOnTag: 'extensionActitity' objClass: BPExtensionActitity).
	tagsActivities add: (BPParserRefTagClass getRefOnTag: 'rethrow' objClass: BPRethrow).
	tagsActivities add: (BPParserRefTagClass getRefOnTag: 'throw' objClass: BPThrow).
	tagsActivities add: (BPParserRefTagClass getRefOnTag: 'scope' objClass: BPScope).
	tagsActivities add: (BPParserRefTagClass getRefOnTag: 'repeatUntil' objClass: BPRepeatUntil).
	tagsActivities add: (BPParserRefTagClass getRefOnTag: 'forEach' objClass: BPForEach).
	tagsActivities add: (BPParserRefTagClass getRefOnTag: 'while' objClass: BPWhile).
	tagsActivities add: (BPParserRefTagClass getRefOnTag: 'exit' objClass: BPExit).
	tagsActivities add: (BPParserRefTagClass getRefOnTag: 'sequence' objClass: BPSequence).
	tagsActivities add: (BPParserRefTagClass getRefOnTag: 'flow' objClass: BPFlow).
	tagsActivities add: (BPParserRefTagClass getRefOnTag: 'if' objClass: BPIf).
	tagsActivities add: (BPParserRefTagClass getRefOnTag: 'wait' objClass: BPWait).
	
	
	"second model option bpel:<tag>"
	
	tagsActivities copy do:[ :i | 
		tagsActivities add: (BPParserRefTagClass getRefOnTag: ( 'bpel:', i tag) objClass: (i objclass) ). 
	].
	
	^ tagsActivities! !

!BPEL20ParserBPELTagsXMLRef class methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
lstOfBpelRefTagClass
	|lstItems|
	lstItems := Dictionary new.
	lstItems add: (BPParserRefTagClass getRefOnTag: 'partnerLinks' objClass: BPPartnerLinks).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'variables' objClass: BPVariables).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'partnerLink' objClass: BPPartnerLink).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'variable' objClass: BPVariable).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'faultHandlers' objClass: BPFaultHandlers).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'catch' objClass: BPCatch).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'catchAll' objClass: BPCatchAll).
	
	lstItems add: (BPParserRefTagClass getRefOnTag: 'onMessage' objClass: BPOnMessage).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'copy' objClass: BPCopy).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'from' objClass: BPFrom).		
	lstItems add: (BPParserRefTagClass getRefOnTag: 'to' objClass: BPTo).		
	lstItems add: (BPParserRefTagClass getRefOnTag: 'import' objClass: BPImport).		
	
	"second model option bpel:<tag>"
	
	lstItems copy do:[ :i |
		lstItems add: (BPParserRefTagClass getRefOnTag: ( 'bpel:', i tag) objClass: (i objclass) ). 
	].
	
	^ lstItems! !

!BPEL20ParserBPELTagsXMLRef class methodsFor: 'resetting' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
reset
	"self reset"
	tags := nil.
	^ 'OK'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
atrElement
^ 'element'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
atrInputVariable
^ 'inputVariable'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
atrMessageType
	^ 'messageType'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
atrMyRole
^ 'myRole'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
atrName
^ 'name'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
atrNamespace
	^ 'namespace'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
atrOperation
^ 'operation'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
atrOutputVariable
^ 'outputVariable'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
atrPartnerLink
^ 'partnerLink'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
atrPartnerLinkType
^ 'partnerLinkType'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
atrPartnerRole
^ 'partnerRole'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
atrPortType
^ 'portType'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
atrSchemaLocation
	^ 'schemaLocation'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
atrTargetNamespace
^ 'targetNamespace'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
atrType
^ 'type'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
atrVariable
^ 'variable'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
atrmessageType
	^ 'messageType'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'factory' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
fillTags! !

!BPEL20ParserTagsXMLRef class methodsFor: 'factory' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
getClassBPBaseOnTypeName: aTypeName
	[ ^ self lstOfBPTagClass  at: aTypeName ]
		on: KeyNotFound
		do: [ ^ self lstOfBPTagClass at:'bpEmptyObj']! !

!BPEL20ParserTagsXMLRef class methodsFor: 'factory' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
getRef: aBPObject
	^ aBPObject accept: self! !

!BPEL20ParserTagsXMLRef class methodsFor: 'factory' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
lstOfBPTagClass
	tags ifNil: [ tags := Dictionary new ].
	tags size > 0
		ifTrue: [ ^ tags ].
	self setEmptyObj: tags.
	self fillTags.
	^ tags! !

!BPEL20ParserTagsXMLRef class methodsFor: 'resetting' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
reset
	"self reset"
	tags := nil.
	BPParserBPELTagsXMLRef reset.
	BPParserWSDLTagsXMLRef reset.
	BPParserXSDTagsXMLRef reset.
	^ 'OK'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'factory' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
setEmptyObj: items
	items add: (BPParserRefTagClass getRefOnTag: 'bpEmptyObj' objClass: BPEmptyObj).
	^ items! !

!BPEL20ParserTagsXMLRef class methodsFor: 'tag' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
tagFaultHandlers
	^ 'faultHandlers'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'tag' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
tagInvoke
^ 'invoke'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'tag' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
tagProcess
^ 'process'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'tag' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
tagVariable
^ 'variable'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'tag' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
tagVariables
^ 'variables'! !

!BPEL20ParserTagsXMLRef class methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
visitBPBPELObject: aModel
	 ^ BPParserBPELTagsXMLRef! !

!BPEL20ParserTagsXMLRef class methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
visitBPWSDLObject: aModel
	^ BPParserWSDLTagsXMLRef! !

!BPEL20ParserTagsXMLRef class methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:52'!
visitBPXSDObject: aModel
	^ BPParserXSDTagsXMLRef! !

BPEL20ParserTagsXMLRef subclass: #BPEL20ParserWSDLTagsXMLRef
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser'!

!BPEL20ParserWSDLTagsXMLRef class methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:56'!
fillTags
	tags addAll: self lstOfWSDLTagClass.
	^ tags! !

!BPEL20ParserWSDLTagsXMLRef class methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:56'!
lstOfWSDLTagClass
	|lstItems|
	lstItems := Dictionary new.
	lstItems add: (BPParserRefTagClass getRefOnTag: 'wsdl:definitions' objClass: BPWSDLDefinition).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'definitions' objClass: BPWSDLDefinition).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'wsdl:message' objClass: BPWSDLMessage).	
	lstItems add: (BPParserRefTagClass getRefOnTag: 'message' objClass: BPWSDLMessage).	
	lstItems add: (BPParserRefTagClass getRefOnTag: 'wsdl:part' objClass: BPWSDLPart).	
	lstItems add: (BPParserRefTagClass getRefOnTag: 'part' objClass: BPWSDLPart).	
	lstItems add: (BPParserRefTagClass getRefOnTag: 'wsdl:types' objClass: BPWSDLTypes).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'types' objClass: BPWSDLTypes).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'wsdl:portType' objClass: BPWSDLPortType).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'portType' objClass: BPWSDLPortType).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'wsdl:schema' objClass: BPXSDSchema).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'schema' objClass: BPXSDSchema).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'wsdl:import' objClass: BPXSDImport).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'import' objClass: BPXSDImport).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'plnk:role' objClass: BPWSDLPlnkRole).
	
	
	"wsdl for bpel"	
	lstItems add: (BPParserRefTagClass getRefOnTag: 'plnk:partnerLinkType' objClass: BPWSDLPlnkType).

	"bpws:property
	bpws:propertyAlias"
	^ lstItems
	! !

!BPEL20ParserWSDLTagsXMLRef class methodsFor: 'resetting' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:56'!
reset
	"self reset"
	tags := nil.
	^ 'OK'! !

BPEL20ParserTagsXMLRef subclass: #BPEL20ParserXSDTagsXMLRef
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser'!

!BPEL20ParserXSDTagsXMLRef class methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:56'!
fillTags
	"self lstOfBPTagClass"
	tags addAll: self lstOfXSDTagClass.
	^ tags! !

!BPEL20ParserXSDTagsXMLRef class methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:56'!
lstOfXSDTagClass
	|lstItems|
	lstItems := Dictionary new.
	
	lstItems add: (BPParserRefTagClass getRefOnTag: 'schema' objClass: BPXSDSchema).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'import' objClass: BPXSDImport).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'sequence' objClass: BPXSDSequence ).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'element' objClass: BPXSDElement ).	
	lstItems add: (BPParserRefTagClass getRefOnTag: 'complexType' objClass: BPXSDComplexType ).
	lstItems add: (BPParserRefTagClass getRefOnTag: 'include' objClass: BPXSDInclude).
	
	
	"second model option xsd:<tag>"
	lstItems copy do:[ :i |
		lstItems add: (BPParserRefTagClass getRefOnTag: ( 'xsd:', i tag) objClass: (i objclass) ). 
	].

	^ lstItems
	
! !

!BPEL20ParserXSDTagsXMLRef class methodsFor: 'resetting' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:56'!
reset
	"self reset"
	tags := nil.
	^ 'OK'! !

A4BPObject subclass: #BPEL20Enum
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
aName
	^ aName! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
aName: aaName
	^ aName := aaName! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
childrens
	^ childrens! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
childrens: achildrens
	^ childrens := achildrens! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
mooseID
	^ mooseID! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
mooseID: amooseID
	^ mooseID := amooseID! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
myDocument
	^ myDocument! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
myDocument: amyDocument
	^ myDocument := amyDocument! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
parent
	^ parent! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
parent: aparent
	^ parent := aparent! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
state
	^ state! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
state: astate
	^ state := astate! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
text
	^ text! !

!BPEL20Enum methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
text: atext
	^ text := atext! !

A4BPObject subclass: #BPEL20Object
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

!BPEL20Object commentStamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:17' prior: 0!
A BPEL20Object is base class objet to promote the codification implementation
!

BPEL20Object subclass: #BPEL20AbstractAssignBoundImpl
	instanceVariableNames: 'property query part variable partnerLink expression'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20Object subclass: #BPEL20BPELExtensibilityElementImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20Object subclass: #BPEL20BPELExtensibleElementImpl
	instanceVariableNames: 'fTransients documentationESet documentation'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ActivityImpl
	instanceVariableNames: 'suppressJoinFailureESet NAME_EDEFAULT SUPPRESS_JOIN_FAILURE_EDEFAULT suppressJoinFailure sources name targets'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20AssignImpl
	instanceVariableNames: 'validate VALIDATE_EDEFAULT copy'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20CompensateImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20CompensateScopeImpl
	instanceVariableNames: 'target'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20EmptyImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20ExitImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20ExtensionActivityImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20FlowImpl
	instanceVariableNames: 'links completionCondition activities'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20ForEachImpl
	instanceVariableNames: 'completionCondition startCounterValue activity parallel counterName finalCounterValue PARALLEL_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20IfImpl
	instanceVariableNames: 'activity else_ condition elseIf'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20OpaqueActivityImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20PartnerActivityImpl
	instanceVariableNames: 'correlations operation portType operationName partnerLink'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20PartnerActivityImpl subclass: #BPEL20InvokeImpl
	instanceVariableNames: 'faultHandler outputVariable fromParts compensationHandler toParts inputVariable'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20PartnerActivityImpl subclass: #BPEL20ReceiveImpl
	instanceVariableNames: 'createInstance createInstanceESet variable messageExchange CREATE_INSTANCE_EDEFAULT fromParts'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20PartnerActivityImpl subclass: #BPEL20ReplyImpl
	instanceVariableNames: 'variable messageExchange FAULT_NAME_EDEFAULT toParts faultName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20PickImpl
	instanceVariableNames: 'createInstanceESet createInstance alarm messages CREATE_INSTANCE_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20RepeatUntilImpl
	instanceVariableNames: 'condition activity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20RethrowImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20ScopeImpl
	instanceVariableNames: 'variables correlationSets isolatedESet faultHandlers EXIT_ON_STANDARD_FAULT_EDEFAULT exitOnStandardFault terminationHandler exitOnStandardFaultESet partnerLinks ISOLATED_EDEFAULT activity isolated compensationHandler messageExchanges eventHandlers'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20SequenceImpl
	instanceVariableNames: 'activities'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20ThrowImpl
	instanceVariableNames: 'FAULT_NAME_EDEFAULT faultName faultVariable'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20ValidateImpl
	instanceVariableNames: 'variables'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20WaitImpl
	instanceVariableNames: 'until for_'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ActivityImpl subclass: #BPEL20WhileImpl
	instanceVariableNames: 'condition activity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20CatchAllImpl
	instanceVariableNames: 'activity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20CatchImpl
	instanceVariableNames: 'faultVariable faultName faultElement FAULT_NAME_EDEFAULT activity faultMessageType'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20CompensationHandlerImpl
	instanceVariableNames: 'activity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20CompletionConditionImpl
	instanceVariableNames: 'branches'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20CopyImpl
	instanceVariableNames: 'from KEEP_SRC_ELEMENT_NAME_EDEFAULT to keepSrcElementName IGNORE_MISSING_FROM_DATA_EDEFAULT ignoreMissingFromDataESet keepSrcElementNameESet ignoreMissingFromData'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20CorrelationImpl
	instanceVariableNames: 'initiateESet pattern initiate set PATTERN_EDEFAULT INITIATE_EDEFAULT patternESet'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20CorrelationSetImpl
	instanceVariableNames: 'name NAME_EDEFAULT properties'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20CorrelationSetsImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20CorrelationsImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20DocumentationImpl
	instanceVariableNames: 'LANG_EDEFAULT SOURCE_EDEFAULT value source VALUE_EDEFAULT lang'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ElseIfImpl
	instanceVariableNames: 'condition activity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ElseImpl
	instanceVariableNames: 'activity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20EventHandlerImpl
	instanceVariableNames: 'events alarm'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ExtensionImpl
	instanceVariableNames: 'namespace mustUnderstand mustUnderstandESet NAMESPACE_EDEFAULT MUST_UNDERSTAND_EDEFAULT'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ExtensionsImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20FaultHandlerImpl
	instanceVariableNames: 'catchAll catchAllESet catch_'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20FromImpl
	instanceVariableNames: 'opaqueESet partName variable expression type ENDPOINT_REFERENCE_EDEFAULT endpointReferenceESet OPAQUE_EDEFAULT serviceRef literalESet part property literal query opaque LITERAL_EDEFAULT unsafeLiteral endpointReference UNSAFE_LITERAL_EDEFAULT partnerLink'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20FromPartImpl
	instanceVariableNames: 'partName toVariable part'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20FromPartsImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ImportImpl
	instanceVariableNames: 'NAMESPACE_EDEFAULT LOCATION_EDEFAULT namespace IMPORT_TYPE_EDEFAULT location importType'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20LinkImpl
	instanceVariableNames: 'name NAME_EDEFAULT sources targets'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20LinksImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20MessageExchangeImpl
	instanceVariableNames: 'NAME_EDEFAULT name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20MessageExchangesImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20OnAlarmImpl
	instanceVariableNames: 'repeatEvery until for_ activity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20OnEventImpl
	instanceVariableNames: 'messageType partnerLink fromParts activity correlations xsdElement portType messageExchange correlationSets variable operation operationName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20OnMessageImpl
	instanceVariableNames: 'fromParts correlations partnerLink operationName activity variable portType messageExchange operation'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20PartnerLinkImpl
	instanceVariableNames: 'initializePartnerRole NAME_EDEFAULT name partnerLinkType partnerRole INITIALIZE_PARTNER_ROLE_EDEFAULT myRole initializePartnerRoleESet'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20PartnerLinksImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ProcessImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

!BPEL20ProcessImpl class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 22:16'!
annotation
	<MSEClass: #BPEL20ProcessImpl super: #BPEL20BPELExtensibleElementImpl>
	<package: #A4BP>! !

!BPEL20ProcessImpl class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/12/2014 10:42'!
fillElementsIn: aBPProcess from: document
	| visitor |
	visitor := BPBuilderSetNodesinBPProcessVisitor new.
	visitor element: aBPProcess.
	self fillElementsIn: aBPProcess from: document visitor: visitor.
	aBPProcess nsNameSpaces: document nameSpaces.! !

!BPEL20ProcessImpl class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 1/12/2015 17:58'!
fillProcessNameOn: bpProcess from: document
	bpProcess processName: (document attributeAt: BPEL20ParserTagsXMLRef atrName)! !

!BPEL20ProcessImpl class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/12/2014 19:04'!
fromXMLDescription: document
	"The argument is a complete description of an XML process"

	| bpProcess |
	"is an instante of on BProcess"
	bpProcess := self new.
	self fillBData: document in: bpProcess.
	self fillProcessNameOn: bpProcess from: document.
	self fillElementsIn: bpProcess from: document. 
	^ bpProcess! !

!BPEL20ProcessImpl methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/18/2014 19:13'!
nsNameSpaces: aNS
	! !

!BPEL20ProcessImpl methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/17/2014 13:53'!
processName: vName
	self aName: vName! !

BPEL20BPELExtensibleElementImpl subclass: #BPEL20SourceImpl
	instanceVariableNames: 'transitionCondition activity link'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20SourcesImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20TargetImpl
	instanceVariableNames: 'link activity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20TargetsImpl
	instanceVariableNames: 'children joinCondition'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20TerminationHandlerImpl
	instanceVariableNames: 'activity'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ToImpl
	instanceVariableNames: 'variable property expression partName part query partnerLink'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ToPartImpl
	instanceVariableNames: 'part partName fromVariable'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20ToPartsImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20VariableImpl
	instanceVariableNames: 'name NAME_EDEFAULT messageType xsdElement type from'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20BPELExtensibleElementImpl subclass: #BPEL20VariablesImpl
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20Object subclass: #BPEL20BPELFactoryImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20Object subclass: #BPEL20BPELPackageImpl
	instanceVariableNames: 'copyEClass messageExchangeEClass replyEClass onEventEClass abstractAssignBoundEClass correlationSetsEClass linksEClass linkEClass serviceRefEClass booleanExpressionEClass sourcesEClass messageExchangesEClass importEClass elseIfEClass processEClass documentationEClass toPartsEClass compensateScopeEClass faultHandlerEClass targetsEClass fromEClass isInited rethrowEClass whileEClass targetEClass toPartEClass expressionEClass terminationHandlerEClass extensionEClass endpointReferenceRoleEEnum branchesEClass completionConditionEClass compensationHandlerEClass correlationPatternEEnum exitEClass elseEClass extensionsEClass partnerActivityEClass partnerLinkEClass validateEClass flowEClass eventHandlerEClass emptyEClass correlationEClass activityEClass variableEClass forEachEClass queryEClass ifEClass bpelExtensibleElementEClass correlationSetEClass opaqueActivityEClass extensionActivityEClass unknownExtensibilityAttributeEClass invokeEClass compensateEClass scopeEClass isInitialized fromPartsEClass isCreated toEClass throwEClass sourceEClass pickEClass catchAllEClass partnerLinksEClass receiveEClass waitEClass assignEClass sequenceEClass variablesEClass conditionEClass correlationsEClass repeatUntilEClass onMessageEClass catchEClass fromPartEClass onAlarmEClass'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20Object subclass: #BPEL20ExpressionImpl
	instanceVariableNames: 'opaque BODY_EDEFAULT opaqueESet EXPRESSION_LANGUAGE_EDEFAULT OPAQUE_EDEFAULT expressionLanguage body expressionLanguageESet'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ExpressionImpl subclass: #BPEL20BooleanExpressionImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ExpressionImpl subclass: #BPEL20BranchesImpl
	instanceVariableNames: 'countCompletedBranchesOnlyESet COUNT_COMPLETED_BRANCHES_ONLY_EDEFAULT countCompletedBranchesOnly'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20ExpressionImpl subclass: #BPEL20ConditionImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
aName
	^ aName! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
aName: aaName
	^ aName := aaName! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
childrens
	^ childrens! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
childrens: achildrens
	^ childrens := achildrens! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
mooseID
	^ mooseID! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
mooseID: amooseID
	^ mooseID := amooseID! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
myDocument
	^ myDocument! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
myDocument: amyDocument
	^ myDocument := amyDocument! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
parent
	^ parent! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
parent: aparent
	^ parent := aparent! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
state
	^ state! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
state: astate
	^ state := astate! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
text
	^ text! !

!BPEL20Object methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
text: atext
	^ text := atext! !

BPEL20Object subclass: #BPEL20ServiceRefImpl
	instanceVariableNames: 'value valueNode VALUE_EDEFAULT REFERENCE_SCHEME_EDEFAULT referenceScheme'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

BPEL20Object subclass: #BPEL20UnknownExtensibilityAttributeImpl
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-model'!

A4BPAbstractParser subclass: #BPEL20Parser
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser'!

!BPEL20Parser class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:51'!
parseString: string
	^ self new parseString: string! !

!BPEL20Parser methodsFor: 'impl' stamp: 'AlvaroJosePeraltaOcampo 11/12/2014 19:05'!
getBaseElement
	^ BPEL20ProcessImpl! !

!BPEL20Parser methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:51'!
initialize
	super initialize.! !

!BPEL20Parser methodsFor: 'impl' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:51'!
lstOfTag
	| tags |
	tags := OrderedCollection new.
	tags add:'process'.
	"tags add:'bpel:process'."
	^ tags! !

!BPEL20Parser methodsFor: 'metric' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:51'!
numberOfDefinedProcesses
	^ self numberOfElements.! !

!BPEL20Parser methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:51'!
processes
	^ lstElements! !

BPAbstractVisitor subclass: #A4BPBuilderSetNodesVisitor
	uses: TBPActivitySameDoForAll
	instanceVariableNames: 'aBPObj m'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser-builder'!

A4BPBuilderSetNodesVisitor class
	uses: TBPActivitySameDoForAll classTrait
	instanceVariableNames: ''!

!A4BPBuilderSetNodesVisitor methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 19:02'!
aBPObj
	^ aBPObj! !

!A4BPBuilderSetNodesVisitor methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 19:02'!
bpObj
	^ aBPObj! !

!A4BPBuilderSetNodesVisitor methodsFor: 'action' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 19:02'!
buildElementIn: bpElement
	bpElement accept: self! !

!A4BPBuilderSetNodesVisitor methodsFor: 'action' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 19:02'!
element: anBPObj
	aBPObj := anBPObj! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 19:02'!
visitA4BPUnParserObj: aModel
	^ 0! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBBPWait: aBPWait
	^ self visitBPActivity: aBPWait! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 19:02'!
visitBPActivity: aBPActivity
	^ 0! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPActivityBasic: aBPActivityBasic
	^ self visitBPActivity: aBPActivityBasic! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPActivityComposite: aBPActivityComposite
	^ self visitBPActivity: aBPActivityComposite ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPAssign: aBPAssign
	^ self visitBPActivity: aBPAssign ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPCatch: aBPCatch
	^ self visitBPActivity: aBPCatch! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPCatchAll: aBPCatchAll
	^ self visitBPActivity: aBPCatchAll ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPElseIf: aBPElseIf
	^ self visitBPActivity: aBPElseIf! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPEmpty: aBPEmpty
	^ self visitBPActivity: aBPEmpty ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPExit: aBPExit
	^ self visitBPActivity: aBPExit ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPExtensionActitity: aBPExtensionActitity
	^ self visitBPActivity: aBPExtensionActitity ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPFlow: aBPInvoke
	^ self visitBPActivity: aBPInvoke ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPForEach: aBPForEach
	^ self visitBPActivity: aBPForEach ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPIf: aBPIf
	^ self visitBPActivity: aBPIf ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPInvoke: aBPInvoke
	^ self visitBPActivity: aBPInvoke ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 19:02'!
visitBPPartnerLinks: aBPPartnerLinks
	^ 0! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPPick: aBPPick
	^ self visitBPActivity: aBPPick ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 19:02'!
visitBPProcess: aBPProcess
	^  0! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPReceive: aBPReceive
	^ self visitBPActivity: aBPReceive ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPRepeatUntil: aBPRepeatUntil
	^ self visitBPActivity: aBPRepeatUntil ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPReply: aBPReply
	^ self visitBPActivity: aBPReply ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPRethrow: aBPRethrow
	^ self visitBPActivity: aBPRethrow ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPScope: aBPScope
 	^ self visitBPActivity: aBPScope ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPSequence: aBPSequence
	^ self visitBPActivity: aBPSequence ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPSwitch: aBPSwitch
	^ self visitBPActivity: aBPSwitch ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPThrow: aBPThrow
	^ self visitBPActivity: aBPThrow ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPValidate: aBPValidate
	^ self visitBPActivity: aBPValidate ! !

!A4BPBuilderSetNodesVisitor methodsFor: 'visitor' stamp: ''!
visitBPWhile: aBPWhile
	^ self visitBPActivity: aBPWhile ! !

A4BPBuilderSetNodesVisitor subclass: #A4BPBuilderSetNodesinBPAssingVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser-builder'!

!A4BPBuilderSetNodesinBPAssingVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPCopy: aBPCopy
	aBPObj addAction: aBPCopy.
	^ self visitBPObject: aBPCopy! !

A4BPBuilderSetNodesVisitor subclass: #A4BPBuilderSetNodesinBPCopyVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser-builder'!

!A4BPBuilderSetNodesinBPCopyVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPFrom: aBPFrom
	aBPObj bpFrom:aBPFrom.
	^ self visitBPObject: aBPFrom! !

!A4BPBuilderSetNodesinBPCopyVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPTo: aBPTo
	aBPObj bpTo:aBPTo.
	^ self visitBPObject: aBPTo! !

A4BPBuilderSetNodesVisitor subclass: #A4BPBuilderSetNodesinBPObjectCompositeVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser-builder'!

!A4BPBuilderSetNodesinBPObjectCompositeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPActivity: aBPActivity
	aBPObj addActivity: aBPActivity.
	^ 0! !

!A4BPBuilderSetNodesinBPObjectCompositeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPCatch: aBPCatch
	aBPObj addFaultHandler: aBPCatch.
	^ 0! !

!A4BPBuilderSetNodesinBPObjectCompositeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPCatchAll: aBPCatchAll
	aBPObj addFaultHandler: aBPCatchAll.
	^ 0! !

!A4BPBuilderSetNodesinBPObjectCompositeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPPartnerLink: aBPPartnerLink
	aBPObj addPartnerLink: aBPPartnerLink.
	^ 0! !

!A4BPBuilderSetNodesinBPObjectCompositeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPVariable: aBPVariable
	aBPObj addVariable: aBPVariable.
	^ 0! !

A4BPBuilderSetNodesinBPObjectCompositeVisitor subclass: #A4BPBuilderSetNodesinBPScopeVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser-builder'!

A4BPBuilderSetNodesVisitor subclass: #A4BPBuilderSetNodesinBPOnMessageVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser-builder'!

!A4BPBuilderSetNodesinBPOnMessageVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPActivity: aBPActivity
	aBPObj addActivity:aBPActivity ! !

!A4BPBuilderSetNodesinBPOnMessageVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPOnMessage: aBPOnMessage! !

A4BPBuilderSetNodesVisitor subclass: #A4BPBuilderSetNodesinBPProcessVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser-builder'!

!A4BPBuilderSetNodesinBPProcessVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPActivity: aBPActivity
	aBPObj addActivity: aBPActivity.
	aBPActivity bindWithBpProcess: aBPObj.
	^ 0! !

!A4BPBuilderSetNodesinBPProcessVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPCatch: aBPCatch
	aBPObj addFaultHandler: aBPCatch.
	^ 0! !

!A4BPBuilderSetNodesinBPProcessVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPCatchAll: aBPCatchAll
	aBPObj addFaultHandler: aBPCatchAll.
	^ 0! !

!A4BPBuilderSetNodesinBPProcessVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPPartnerLink: aBPPartnerLink
	aBPObj addPartnerLink: aBPPartnerLink.
	^ 0! !

!A4BPBuilderSetNodesinBPProcessVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPPartnerLinks: aBPPartnerLinks
	aBPObj partnerLinks: aBPPartnerLinks.
	^ 0! !

!A4BPBuilderSetNodesinBPProcessVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPVariable: aBPVariable
	aBPObj addVariable: aBPVariable.
	^ 0! !

!A4BPBuilderSetNodesinBPProcessVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPVariables: aBPVariables
	aBPObj variables: aBPVariables.
	^ 0! !

A4BPBuilderSetNodesVisitor subclass: #A4BPBuilderSetNodesinBPWSDLDefinitionVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser-builder'!

!A4BPBuilderSetNodesinBPWSDLDefinitionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPWSDLMessage: aModel
	aBPObj addMessage: aModel! !

!A4BPBuilderSetNodesinBPWSDLDefinitionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPWSDLPlnkType: aModel
	aBPObj addPartnerLinkType: aModel! !

!A4BPBuilderSetNodesinBPWSDLDefinitionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPWSDLPortType: aModel
	aBPObj addPortType: aModel! !

!A4BPBuilderSetNodesinBPWSDLDefinitionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPWSDLTypes:aModel
	aBPObj addType:aModel.! !

A4BPBuilderSetNodesVisitor subclass: #A4BPBuilderSetNodesinBPWSDLImportVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser-builder'!

!A4BPBuilderSetNodesinBPWSDLImportVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPWSDLPart: aModel
	aBPObj bpWsdlPart: aModel! !

!A4BPBuilderSetNodesinBPWSDLImportVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPWSDLSchema: aModel
	aBPObj addSchema: aModel! !

A4BPBuilderSetNodesVisitor subclass: #A4BPBuilderSetNodesinBPWSDLMessageVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser-builder'!

!A4BPBuilderSetNodesinBPWSDLMessageVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPWSDLPart: aModel
	aBPObj bpWsdlPart: aModel! !

A4BPBuilderSetNodesVisitor subclass: #A4BPBuilderSetNodesinBPWSDLPartVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser-builder'!

!A4BPBuilderSetNodesinBPWSDLPartVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPXSDImport: aModel
	aBPObj bpWsdlPart: aModel! !

!A4BPBuilderSetNodesinBPWSDLPartVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPXSDSchema: aModel
! !

A4BPBuilderSetNodesVisitor subclass: #A4BPBuilderSetNodesinBPWSDLPlnkTypeVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser-builder'!

!A4BPBuilderSetNodesinBPWSDLPlnkTypeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPWSDLPlnkRole: aModel
"
	*** partnerlinkExample**
	<plnk:partnerLinkType name="	"getIncomingMessageFromJMSWSDL"	">
        <!!-- A partner link type is automatically generated when a new port type is added. Partner link types are used by BPEL processes.  In a BPEL process, a partner link represents the interaction between the BPEL process and a partner service. Each partner link is associated with a partner link type. A partner link type characterizes the conversational relationship between two services. The partner link type can have one or two roles.-->
        <plnk:role name="	"JMSInPortTypeRole"	" portType="	"tns:JMSInPortType"	"/>
    </plnk:partnerLinkType>"
	aBPObj role: aModel! !

!A4BPBuilderSetNodesinBPWSDLPlnkTypeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPWSDLPlnkType: aModel
	aBPObj lstPartnertLinkTypes add: aModel! !

A4BPBuilderSetNodesVisitor subclass: #A4BPBuilderSetNodesinBPWSDLSchemaVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser-builder'!

!A4BPBuilderSetNodesinBPWSDLSchemaVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPWSDLImport: aModel
	aBPObj addImport: aModel! !

!A4BPBuilderSetNodesinBPWSDLSchemaVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPWSDLPart: aModel
	aBPObj bpWsdlPart: aModel! !

!A4BPBuilderSetNodesinBPWSDLSchemaVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPWSDLSchema: aModel
	aBPObj addSchema: aModel! !

A4BPBuilderSetNodesVisitor subclass: #A4BPBuilderSetNodesinBPWSDLTypesVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser-builder'!

!A4BPBuilderSetNodesinBPWSDLTypesVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPWSDLPart: aModel
	aBPObj bpWsdlPart: aModel! !

!A4BPBuilderSetNodesinBPWSDLTypesVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPWSDLSchema: aModel
	aBPObj addSchema: aModel! !

!A4BPBuilderSetNodesinBPWSDLTypesVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPXSDSchema: aModel
	aModel iInternalReference: true.
	aBPObj addSchema: aModel! !

A4BPBuilderSetNodesVisitor subclass: #A4BPBuilderSetNodesinBPXSDComplexTypeVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser-builder'!

!A4BPBuilderSetNodesinBPXSDComplexTypeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPXSDImport: aModel
	! !

!A4BPBuilderSetNodesinBPXSDComplexTypeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPXSDObject: aModel
	! !

!A4BPBuilderSetNodesinBPXSDComplexTypeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPXSDSequence: aModel
	^ aBPObj xsdSequence: aModel! !

!A4BPBuilderSetNodesinBPXSDComplexTypeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPXSDSimpleType: aModel
	^ aBPObj addSimpleType: aModel! !

A4BPBuilderSetNodesVisitor subclass: #A4BPBuilderSetNodesinBPXSDElementVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser-builder'!

!A4BPBuilderSetNodesinBPXSDElementVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPXSDComplexType: aModel
	aBPObj addElement: aModel
	! !

A4BPBuilderSetNodesVisitor subclass: #A4BPBuilderSetNodesinBPXSDSchemaVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser-builder'!

!A4BPBuilderSetNodesinBPXSDSchemaVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPXSDComplexType: aModel
	self visitBPXSDObject: aModel.
	^ aBPObj addComplexType: aModel! !

!A4BPBuilderSetNodesinBPXSDSchemaVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPXSDElement: aModel
	self visitBPXSDObject: aModel.
	^ aBPObj addElement: aModel! !

!A4BPBuilderSetNodesinBPXSDSchemaVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPXSDImport: aModel
	aBPObj import: aModel! !

!A4BPBuilderSetNodesinBPXSDSchemaVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPXSDInclude: aModel
	aBPObj include: aModel! !

!A4BPBuilderSetNodesinBPXSDSchemaVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPXSDObject: aModel
	^ aModel mySchema: aBPObj.! !

!A4BPBuilderSetNodesinBPXSDSchemaVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPXSDSimpleType: aModel
	self visitBPXSDObject: aModel.
	^ aBPObj addSimpleType: aModel! !

A4BPBuilderSetNodesVisitor subclass: #A4BPBuilderSetNodesinBPXSDSequenceVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-BPEL20-core-parser-builder'!

!A4BPBuilderSetNodesinBPXSDSequenceVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPXSDComplexType: aModel
	^ aBPObj addElement: aModel! !

!A4BPBuilderSetNodesinBPXSDSequenceVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPXSDElement: aModel
	^ aBPObj addElement: aModel! !

!A4BPBuilderSetNodesinBPXSDSequenceVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 1/13/2015 18:59'!
visitBPXSDSimpleType: aModel
	^ aBPObj addElement: aModel! !
